Subject: Re: Why won't "git rebase -Xrenormalize -i $REBASE_SHA" do anything?

From: "brian m. carlson" <[email-masked]>
Date: Mon, 31 Jan 2022 23:30:25 +0000

On 2022-01-31 at 11:01:50, Josef Wolf wrote:
> Hello,
> 
> I've added "* text=auto" to an existing repo with a completely linear history.
> 
> Now, as expected, every rebase operation gives me lots of conflicts, which are
> hard to resolve.
> 
> So I'd like to clean up the history:
> 
>   $ git rebase -Xrenormalize -i $REBASE_SHA
> 
> But this turns out to be a no-op? It says immediately
> 
>   Successfully rebased and updated refs/heads/wip-normalize
> 
> without even the counter which is usually output to show progress during an
> interactive rebase as it is working through the rebase-todo. I can confirm
> that nothing has happened by checking the sha of the branch.
> 
> So, what am I missing? How would I renormalize all the commits of a branch?
> The branch has linear history, no merges there.

I think what you probably want is to add the -f option.  By default, Git
doesn't perform a rebase when the current branch is up to date with the
base branch.  If you want to do it anyway, in this case, to rewrite
commits, then -f should make that happen.
-- 
brian m. carlson (he/him or they/them)
Toronto, Ontario, CA